<template>
	<view class="fans">
		<view class="lately">
			<view class="title">最新</view>
			<view class="items">
				<view v-for="(item, index) in newfans" :key="index">
					<FansItem :info="item"></FansItem>
				</view>
			</view>
		</view>
		<view class="before">
			<view class="title">早前</view>
			<view class="items">
				<view v-for="(item, index) in myfans" :key="index">
					<FansItem :info="item"></FansItem>
				</view>
			</view>
		</view>
		<u-toast ref="uToast" />
	</view>
</template>
<script>
import FansItem from '@/components/fans-item/index'
export default {
	data() {
		return {
			myfans:[],
			newfans:[]
		}
	},
	components: {
		FansItem
	},
	onLoad() {
		this.fans()
	},
	methods:{
		fans(){
			let that = this;
			this.$u.api.myfanlist({}).then(res => {
				console.log(res);
				if (res.errCode != 0) {
					this.$refs.uToast.show({
						title: res.message,
						type: 'error'
					});
				} else {
					that.myfans = res.data.fans
					that.newfans = res.data.fansNewest
					console.log(that.myfans,that.newfans)
				}
			});
		}
	}
};
</script>
<style lang="scss" scoped>
.fans {
	min-height: calc(100vh - var(--window-top));
    background: #ececec;
	.lately, .before {
		.title {
			font-size: 26rpx;
			color:rgba(101,101,101,1);
			padding: 20rpx 30rpx;
		}
	}
}
</style>